Bug 1420955 - Container Review Request: apache - F25 container to run httpd
Summary: Container Review Request: apache - F25 container to run httpd
Keywords:
Status: CLOSED DUPLICATE of bug 1429680
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Garrett Holmstrom
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 23:51 UTC by Mike Ruckman
Modified: 2017-03-13 19:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-13 19:18:02 UTC
Type: ---
gholms: fedora-review?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1429680 0 medium CLOSED Container Review Request: httpd - Platform for running Apache HTTP Server 2021-02-22 00:41:40 UTC

Internal Links: 1429680

Description Mike Ruckman 2017-02-09 23:51:26 UTC
Dockerfile URL: https://roshi.fedorapeople.org/containers/apache/Dockerfile
Source URL: https://roshi.fedorapeople.org/containers/apache/
Description: Container to run apache on port 80.
Fedora Account System Username: roshi

Comment 1 Garrett Holmstrom 2017-02-11 00:18:04 UTC
Man, the container guidelines are a breeze compared to today's packaging guidelines.  See the notes below:

Dockerfile Guidelines:
ok - LABELs are sane
     MAINTAINER points to the Cloud wiki page.  Should it instead point to you
     as the maintainer or to the Atomic SIG?
ok - CMD/ENTRYPOINT is sane

Container Content Guidelines:
ok - No net new code
     run-apache.sh is sufficiently minimal
ok - One service per container

Naming guidelines:
ok - Package names use only a-zA-Z0-9-._+ subject to restrictions on -._+
NO - Package names are sane
     Apache httpd goes by the name "httpd" both upstream and in Fedora.  The
     container should match these as well.
ok - No naming conflicts
ok - Version is sane
-- - Version does not contain ~
ok - Release is sane
ok - %dist tag
ok - Case used only when necessary
ok - Package names follow applicable language/addon rules

Comment 2 Honza Horak 2017-03-13 06:21:02 UTC
Please, mind #1429680, which is also a review request for the Apache HTTPD. That variant is a bit more powerful and also runs on OpenShift, which is important for the docker images. The image from #1429680 should cover all use cases of this one as well. Would you be fine with going with #1429680 instead?

Comment 3 Mike Ruckman 2017-03-13 19:18:02 UTC
We can go with that one. I'll close this out.

Thanks Honza!

*** This bug has been marked as a duplicate of bug 1429680 ***


Note You need to log in before you can comment on or make changes to this bug.